<?php

declare(strict_types = 1);

namespace Drupal\joinup_collection\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Drupal\joinup_collection\Controller\JoinupCollectionLeaveController;
use Symfony\Component\Routing\RouteCollection;

/**
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('joinup_group.leave_confirm_form')) {
      $route->setRequirement('_custom_access', JoinupCollectionLeaveController::class . '::access');
    }
  }

}
